
import { DownloadOutlined } from '@ant-design/icons'
import {Image, Tooltip} from 'antd'
import React from 'react'
/**
 * 图片预览并支持下载
 * @param props
 * @param props.imgUrl 图片地址
 * @param props.style 图片样式
 * */ 
function DownLoadImg(props:{imgUrl:string,style:React.CSSProperties}){
    let {imgUrl,style} = props
    return <Image src={imgUrl} style={style} preview={{
        toolbarRender: (originalNode) => {
            return React.cloneElement(
                originalNode,
                {
                    // 保留原有的属性
                    ...originalNode.props
                },
                <>
                    {originalNode.props.children}
                    <Tooltip title="下载">
                        <div style={{ width: 22, marginLeft: 12 }}>
                            <a href={imgUrl}><DownloadOutlined style={{ fontSize: 18 }} /></a>
                        </div>
                    </Tooltip>
                </>
            )
        }
    }} />
}

export default DownLoadImg