import { PageContainer, ProTable } from "@ant-design/pro-components"
import { columns } from "./tableConfig"
import { useAjax } from "@/Hook/useAjax"
import { shortBookCoinList, longBookCoinList } from "@/services/miniApp/consume"
import { useModel } from "@umijs/max"
import { useMemo } from "react"

const Page: React.FC = () => {
    let { initialState } = useModel("@@initialState")
    let { enumList } = useModel("global", (global) => {
        return {
            enumList: global.state.enumList
        }
    })
    let getShortList = useAjax((params) => shortBookCoinList(params), { type: 'table' })
    let getLongList = useAjax((params) => longBookCoinList(params), { type: 'table' })

    let api = useMemo(() => {
        return initialState?.selectApp?.appCategory === 1 ? getLongList : getShortList
    }, [initialState?.selectApp?.appCategory])
    return <PageContainer
        tabProps={{ type: 'card' }}
    >
        <ProTable<any, any>
            params={{
                appId: initialState?.selectApp?.id || "",
                distributorId: initialState?.currentUser?.distributorId,
                appType: initialState?.selectApp?.appType || ""
            }}
            scroll={{ x: true }}
            headerTitle={"书币变更列表"}
            rowKey={(r) => r.id}
            search={{
                labelWidth: 120,
            }}
            request={async (params) => {
                return await api.run(params)
            }}
            columns={columns(enumList)}
        // bordered
        />
    </PageContainer>

}
export default Page