import { ProColumns } from "@ant-design/pro-components";
import { Avatar, Space, Typography } from 'antd';
const { Paragraph } = Typography;
export const columns = (): ProColumns<any>[] => {
    return [
        {
            title: "昵称",
            dataIndex: 'nickname',
            key: "nickname",
            align: "center",
            hideInSearch: true,
            render:(_,row)=>{
                return <Space> <Avatar shape="square" size={34} src={row?.headimgurl} />{row?.nickname}</Space>
            }
        },
        {
            title: "用户unionid",
            dataIndex: 'mpUnionId',
            key: "mpUnionId",
            align: "center",
            hideInSearch: true,
        },
        {
            title: "公众号小程序用户ID",
            dataIndex: 'appUserId',
            key: "appUserId",
            align: "center",
            hideInSearch: true,
        },
        {
            title: "是否订阅",
            dataIndex: 'subscribe',
            key: "subscribe",
            align: "center",
            hideInSearch: true,
        },
        {
            title: "关注时间",
            dataIndex: 'subscribeTime',
            key: "subscribeTime",
            align: "center",
            hideInSearch: true,
        },
        {
            title: "关注场景",
            dataIndex: 'subscribeScene',
            key: "subscribeScene",
            align: "center",
            hideInSearch: true,
        },
        {
            title: "二维码扫码场景",
            dataIndex: 'qrScene',
            key: "qrScene",
            align: "center",
            hideInSearch: true,
        },
        {
            title: "二维码扫码场景描述",
            dataIndex: 'qrSceneStr',
            key: "qrSceneStr",
            align: "center",
            hideInSearch: true,
        },
        // {
        //     title: "所在的分组",
        //     dataIndex: 'groupId',
        //     key: "groupId",
        //     align: "center",
        //     hideInSearch: true,
        // },
        // {
        //     title: "标签",
        //     dataIndex: 'wxTagidList',
        //     key: "wxTagidList",
        //     align: "center",
        //     hideInSearch: true,
        // },
        {
            title: "创建时间",
            dataIndex: 'createTime',
            key: "createTime",
            align: "center",
            hideInSearch: true,
        },
        {
            title: "取关时间",
            dataIndex: 'unsubscribeTime',
            key: "unsubscribeTime",
            align: "center",
            hideInSearch: true,
        },
        {
            title: "备注",
            dataIndex: 'remark',
            key: "remark",
            align: "center",
            hideInSearch: true,
        },
    
    ];
}