import { PlusOutlined } from "@ant-design/icons"
import { Button, Card, Modal, Tabs } from "antd"
import { useEffect, useState } from "react"
import Book from '@/pages/MiniApp/Extend/Book'
import Page from '@/pages/MiniApp/Extend/Page'
function AddLink(props: { value?: any, onChange?: (v: any) => void }) {
    let { value, onChange } = props
    let [open, setOpen] = useState(false)
    let [activeKey, setActiveKey] = useState("book")
    const close = () => {
        setOpen(false)
    }
    // 当存在value时打开弹窗以条件判断跳转到对应tab
    useEffect(() => {
        if (value) {
            setActiveKey(value?.bookName ? "book" : "page")
        }
    }, [])
    return <div>
        {value ? <Card size="small" title={value?.bookName ? "作品推广" : "页面推广"} style={{ cursor: 'pointer' }} onClick={() => { setOpen(true) }}>
            <div>链接名称：<span style={{ color: "#777" }}>{value?.linkName}</span></div>
            {value?.pageName && <div>页面名称：<span style={{ color: "#777" }}>{value?.pageName}</span></div>}
            {value?.bookName && <div>作品名称：<span style={{ color: "#777" }}>{value?.bookName}</span></div>}
            {value?.bookChapterName && <div>章节名称：<span style={{ color: "#777" }}>{value?.bookChapterName}</span></div>}
            {value?.pagePath && <div>路径地址：<span style={{ color: "#777" }}>{value?.pagePath}</span></div>}

        </Card> : <a onClick={() => { setOpen(true) }}><PlusOutlined /> 插入链接</a>
        }
        <Modal
            title="插入链接"
            open={open}
            destroyOnClose
            footer={false}
            onCancel={close}
            width={"60%"}
            height={500}
        >
            <Tabs
                activeKey={activeKey}
                onChange={(ak) => {
                    setActiveKey(ak)
                }}
                items={[
                    {
                        key: "book",
                        label: "作品推广",
                        children: <Book isModal={true} onChange={onChange} onClose={close} value={value} />
                    },
                    {
                        key: "page",
                        label: "页面推广",
                        children: <Page isModal={true} onChange={onChange} onClose={close} value={value} />
                    },
                ]}
            />
        </Modal>
    </div>
}
export default AddLink